summaryrefslogtreecommitdiffstats
path: root/satellit_upgrader
diff options
context:
space:
mode:
authorSimon Rettberg2021-06-18 14:32:04 +0200
committerSimon Rettberg2021-06-18 14:32:04 +0200
commit1169c84ac66f4c75c51e2525c5e55ce77bbe792d (patch)
tree1d74152c5e1143ac6c70b0ff8fb66aeccc0c00fa /satellit_upgrader
parent[SSPS] Properly copy ipxe config (diff)
downloadsetup-scripts-1169c84ac66f4c75c51e2525c5e55ce77bbe792d.tar.gz
setup-scripts-1169c84ac66f4c75c51e2525c5e55ce77bbe792d.tar.xz
setup-scripts-1169c84ac66f4c75c51e2525c5e55ce77bbe792d.zip
[SSPS] slx-cert: Fix handling missing/outdated packed certificate
Diffstat (limited to 'satellit_upgrader')
-rwxr-xr-xsatellit_upgrader/pack-update.sh2
-rw-r--r--satellit_upgrader/updater.template.sh2
2 files changed, 2 insertions, 2 deletions
diff --git a/satellit_upgrader/pack-update.sh b/satellit_upgrader/pack-update.sh
index b23aaa7..ac60a89 100755
--- a/satellit_upgrader/pack-update.sh
+++ b/satellit_upgrader/pack-update.sh
@@ -122,7 +122,7 @@ while true; do
done
[ -z "$VERSION" ] && perror "No --version given"
-[[ "$VERSION" =~ ^v[0-9]\.[0-9][a-z]?$ ]] || echo "${RED}Warn${RESET}: Version format is not vX.X(y)"
+[[ "$VERSION" =~ ^v[0-9]\.[0-9]+[a-z]?$ ]] || echo "${RED}Warn${RESET}: Version format is not vX.X(y)"
# Prepare source directory
declare -rg SRCDIR=$1
diff --git a/satellit_upgrader/updater.template.sh b/satellit_upgrader/updater.template.sh
index 11a2213..77090de 100644
--- a/satellit_upgrader/updater.template.sh
+++ b/satellit_upgrader/updater.template.sh
@@ -83,7 +83,7 @@ extractfield () {
# ** Wrap mysql command line client so we're always using the deb-sys-maint credentials
mysql () {
- "$(which mysql)" --defaults-extra-file=/etc/mysql/debian.cnf --default-character-set=utf8 "$@"
+ "$(which mysql)" --defaults-extra-file=/etc/mysql/debian.cnf --default-character-set=utf8mb4 "$@"
}
generate_password() {